# limits

The Compute and Block Storage APIs have resource usage limits.

Block Storage v2, v3; Compute v2

## limits show

Show compute and block storage limits

    openstack limits show
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        (--absolute | --rate)
        [--reserved]
        [--project <project>]
        [--domain <domain>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--absolute

  Show absolute limits

--rate

  Show rate limits. This is not supported by the compute service since the 12.0.0 (Liberty) release and is only supported by the block storage service when the rate-limiting middleware is enabled. It is therefore a no-op in most deployments.

--reserved

  Include reservations count (only valid with –absolute)

--project <project>

  Show limits for a specific project (name or ID) (only valid with –absolute)

--domain <domain>

  Domain the project belongs to (name or ID) (only valid with –absolute)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.